Bug 1894683 (CVE-2020-27764)

Summary: CVE-2020-27764 ImageMagick: outside the range of representable values of type 'unsigned long' at MagickCore/statistic.c
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: fedora, jhorak, mike, pahan, rhel8-maint, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ImageMagick 6.9.10-69 Doc Type: If docs needed, set a value
Doc Text:
In /MagickCore/statistic.c, there are several areas in ApplyEvaluateOperator() where a size_t cast should have been a ssize_t cast, which causes out-of-range values under some circumstances when a crafted input file is processed by ImageMagick.
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-11-24 23:34:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1901273, 1901274, 1910541    
Bug Blocks: 1891602    

Description Guilherme de Almeida Suckevicz 2020-11-04 19:03:52 UTC
In ImageMagick, there is an outside the range of representable values of type 'unsigned long' at MagickCore/statistic.c.

Reference:
https://github.com/ImageMagick/ImageMagick/issues/1735

Comment 1 Guilherme de Almeida Suckevicz 2020-11-04 19:03:55 UTC
Acknowledgments:

Name: Suhwan Song (Seoul National University)

Comment 2 Todd Cullum 2020-11-04 22:20:09 UTC
Flaw summary:

In /MagickCore/statistic.c, there are several areas in ApplyEvaluateOperator() where a size_t cast should have been a ssize_t cast, which causes out-of-range values under some circumstances when a crafted input file is processed by ImageMagick. Red Hat Product Security marked this as Low severity because although it could potentially lead to an impact to application availability, no specific impact was shown in this case.

Comment 4 Todd Cullum 2020-11-04 22:22:38 UTC
External References:

Upstream patch: https://github.com/ImageMagick/ImageMagick6/commit/3e21bc8a58b4ae38d24c7e283837cc279f35b6a5

Comment 5 Guilherme de Almeida Suckevicz 2020-11-24 19:25:32 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1901273]
Affects: fedora-all [bug 1901274]

Comment 6 Product Security DevOps Team 2020-11-24 23:34:59 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-27764

Comment 8 Eric Christensen 2021-02-15 20:49:31 UTC
Statement:

This flaw is out of support scope for Red Hat Enterprise Linux 5, 6, and 7. Inkscape is not affected because it no longer uses a bundled ImageMagick in Red Hat Enterprise Linux 8. For more information regarding support scopes, please see https://access.redhat.com/support/policy/updates/errata.

Red Hat Product Security marked this as Low severity because although it could potentially lead to an impact to application availability, no specific impact was shown in this case.